﻿// Copyright (c) 2020 Tudor Stanciu

using Tuitio.Domain.Entities;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace Tuitio.Domain.Data.EntityTypeConfiguration
{
    class AppUserConfiguration : IEntityTypeConfiguration<AppUser>
    {
        public void Configure(EntityTypeBuilder<AppUser> builder)
        {
            builder.ToTable("AppUser").HasKey(key => key.UserId);
            builder.Property(z => z.UserId).ValueGeneratedOnAdd();
            builder.HasOne(z => z.Status).WithMany().HasForeignKey(z => z.StatusId);
            builder.HasMany(z => z.Claims).WithOne().HasForeignKey(z => z.UserId);
        }
    }
}
